Program Top Tokens

NOTE: This endpoint is only callable by API keys in the following tiers:

  • Business
  • Developer
  • Enterprise
  • PremiumSharedRpc
  • StarterSharedRpc
  • UltimateSharedRpc

Shows the top tokens per program as defined by volume in the past 24 hours
Volume here is defined as USD value of token transfers that occured within the same transaction as a call to this program.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Examples

Get top tokens on Orca

const axios = require("axios");

const url = "https://rest-api.hellomoon.io/v0/defi/program-stats/top-tokens";

async function getTopTokens() {
    const { data } = await axios.post(
        url,
        {
			"programId": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc"
		},
        {
            headers: {
                Accept: "application/json",
                "Content-Type": "application/json",
                Authorization: "Bearer <your_token>",
            },
        }
    );

    console.log(data);
}
Body Params

body

string

The public key (address) of the account containing the program on chain.
> You can also visit https://www.hellomoon.io/id?search=program to search for a program using a user interface.

number
1 to 1000

The number of results to return per page
optional field

number
≥ 1

The page number to return
optional field

string

The pagination token to use to keep your position in the results
optional field

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json